Bug 64565 - Store error and warning information on TestExpectationLine.
Summary: Store error and warning information on TestExpectationLine.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Dimitri Glazkov (Google)
URL:
Keywords:
Depends on: 64559
Blocks: 64385
  Show dependency treegraph
 
Reported: 2011-07-14 15:22 PDT by Dimitri Glazkov (Google)
Modified: 2018-10-24 09:54 PDT (History)
3 users (show)

See Also:


Attachments
Patch (21.86 KB, patch)
2011-07-14 15:29 PDT, Dimitri Glazkov (Google)
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitri Glazkov (Google) 2011-07-14 15:22:56 PDT
Store error and warning information on TestExpectationLine.
Comment 1 Dimitri Glazkov (Google) 2011-07-14 15:29:00 PDT
Created attachment 100874 [details]
Patch
Comment 2 Adam Barth 2011-07-14 22:52:39 PDT
Comment on attachment 100874 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=100874&action=review

This looks good.

> Tools/Scripts/webkitpy/layout_tests/models/test_expectations.py:316
>          # FIXME: Shouldn't return anything, this is a temporary layering volation.

Presumably this FIXME is now fixed.

> Tools/Scripts/webkitpy/layout_tests/models/test_expectations.py:644
> +            lineno += 1

I think there's a way to iterate over a list that will give you the list index during the iteration.
Comment 3 Dimitri Glazkov (Google) 2011-07-15 08:56:21 PDT
Comment on attachment 100874 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=100874&action=review

>> Tools/Scripts/webkitpy/layout_tests/models/test_expectations.py:644
>> +            lineno += 1
> 
> I think there's a way to iterate over a list that will give you the list index during the iteration.

enumerate!!! Holy Crap!!! I <3 Python.
Comment 4 Dimitri Glazkov (Google) 2011-07-15 08:58:06 PDT
Comment on attachment 100874 [details]
Patch

Clearing flags on attachment: 100874

Committed r91073: <http://trac.webkit.org/changeset/91073>
Comment 5 Dimitri Glazkov (Google) 2011-07-15 08:58:10 PDT
All reviewed patches have been landed.  Closing bug.